;;; interrupt service routines


int0_isr:
  rcall contextstore
  lds zl,int0
  lds zh,int0+1
  icall
  rjmp contextfetch

int1_isr:
  rcall contextstore
  lds zl,int1
  lds zh,int1+1
  icall
  rjmp contextfetch

timer2comp_isr:
  rcall contextstore
  lds zl,timer2comp
  lds zh,timer2comp+1
  icall
  rjmp contextfetch
  
timer2ovf_isr:
  rcall contextstore
  lds zl,timer2ovf
  lds zh,timer2ovf+1
  icall
  rjmp contextfetch
  
timer1capt_isr:
  rcall contextstore
  lds zl,timer1capt
  lds zh,timer1capt+1
  icall
  rjmp contextfetch
  
timer1compa_isr:
  rcall contextstore
  lds zl,timer1compa
  lds zh,timer1compa+1
  icall
  rjmp contextfetch
  
timer1compb_isr:
  rcall contextstore
  lds zl,timer1compb
  lds zh,timer1compb+1
  icall
  rjmp contextfetch
  
timer1ovf_isr:
  rcall contextstore
  lds zl,timer1ovf
  lds zh,timer1ovf+1
  icall
  rjmp contextfetch
  
timer0ovf_isr:
  rcall contextstore
  lds zl,timer0ovf
  lds zh,timer0ovf+1
  icall
  rjmp contextfetch
  
spistc_isr:
  rcall contextstore
  lds zl,spistc
  lds zh,spistc+1
  icall
  rjmp contextfetch
  
usartrxc_isr:
  rcall contextstore
  lds zl,usartrxc
  lds zh,usartrxc+1
  icall
  rjmp contextfetch
  
usartudre_isr:
  rcall contextstore
  lds zl,usartudre
  lds zh,usartudre+1
  icall
  rjmp contextfetch
  
usarttxc_isr:
  rcall contextstore
  lds zl,usarttxc
  lds zh,usarttxc+1
  icall
  rjmp contextfetch
  
adc_isr:
  rcall contextstore
  lds zl,adcc
  lds zh,adcc+1
  icall
  rjmp contextfetch
  
eerdy_isr:
  rcall contextstore
  lds zl,eerdy
  lds zh,eerdy+1
  icall
  rjmp contextfetch
  
anacomp_isr:
  rcall contextstore
  lds zl,anacomp
  lds zh,anacomp+1
  icall
  rjmp contextfetch
  
twi_isr:
  rcall contextstore
  lds zl,twi
  lds zh,twi+1
  icall
  rjmp contextfetch
  
spmrdy_isr:
  rcall contextstore
  lds zl,spmrdy
  lds zh,spmrdy+1
  icall
  rjmp contextfetch
  
